﻿//Author: Rodolfo Finochietti - http://weblogs.shockbyte.com.ar/rodolfof
using System;
using System.Data;
using System.Windows.Forms;

namespace LINQToDataSet.CopyToTable
{
    public partial class MainForm : Form
    {
        public MainForm( )
        {
            InitializeComponent( );
        }

        private void MainForm_Load( object sender, EventArgs e )
        {
            LoadData( );
        }

        private void refreshToolStripMenuItem_Click( object sender, EventArgs e )
        {
            LoadData( );
        }

        private void LoadData( )
        {
            #region Load DataSet Code

            productTableAdapter1.Fill( productDataSet1.Product );

            #endregion

            //3.1 CopyToDataTable
            var query = from product in productDataSet1.Product
                        where !product.IsColorNull( ) && product.Color == "Black"
                        select product;

            DataTable bindingTable = query.CopyToDataTable( );

            dataGridView1.DataSource = bindingTable;
        }

        private void saveToolStripMenuItem_Click( object sender, EventArgs e )
        {
            DataTable bindingTable = ( DataTable )dataGridView1.DataSource;

            //3.2 Merge
            productDataSet1.Product.Merge( bindingTable );

            productTableAdapter1.Update( productDataSet1.Product );
        }
    }
}