﻿Public Class Form1
    Public Sub New()
        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        DataGridView1.AutoGenerateColumns = False

        LoadData()
    End Sub


    Private Sub LoadData()
        Dim catLoader As Sample_2.ProductsDSTableAdapters.ProductCategoryTableAdapter = New Sample_2.ProductsDSTableAdapters.ProductCategoryTableAdapter()
        Dim subcatLoader As Sample_2.ProductsDSTableAdapters.ProductSubcategoryTableAdapter = New Sample_2.ProductsDSTableAdapters.ProductSubcategoryTableAdapter()
        Dim productsLoader As Sample_2.ProductsDSTableAdapters.ProductTableAdapter = New Sample_2.ProductsDSTableAdapters.ProductTableAdapter()

        catLoader.Fill(ProductsDS1.ProductCategory)
        subcatLoader.Fill(ProductsDS1.ProductSubcategory)
        productsLoader.Fill(ProductsDS1.Product)
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim selectedCategories = From row In DataGridView1.Rows.Cast(Of DataGridViewRow)() _
                                 Where row.Cells(0).Value = True _
                                 Select row.DataBoundItem

        Dim selectedSubCats = From cat In selectedCategories _
                              From subcat In ProductsDS1.ProductSubcategory _
                              Where cat("ProductCategoryID") = subcat.ProductCategoryID _
                              Select subcat

        Dim matchingProducts = From subcat In selectedSubCats _
                               From product In ProductsDS1.Product _
                               Where product.IsProductSubcategoryIDNull() = False _
                               Where product.ProductSubcategoryID = subcat.ProductSubcategoryID _
                               Select product

        DataGridView2.DataSource = matchingProducts.ToList()
    End Sub
End Class